$(document).on('click', '.iziToast-close', function() {
    $(this).closest('.iziToast-capsule').remove();
});

$(document).on('DOMNodeInserted', function(e) {
    if ($('.iziToast-capsule').length > 0) {
        setTimeout(function() {
            $('.iziToast-capsule').fadeOut("slow");
            $('.iziToast-capsule').remove();
        }, 8000);
    }
});

function notificacao(tipo, mensagem) {
    var html = '';
    var cor = '';
    var icone = '';

    if (tipo == 'alerta') {
        tipo = 'ALERTA';
        cor = 'iziToast iziToast-color-yellow flipInX';
        icone = 'iziToast-icon ico-warning revealIn';
    } else if (tipo == 'erro') {
        tipo = 'ERRO';
        cor = 'iziToast iziToast-color-red flipInX';
        icone = 'iziToast-icon ico-error revealIn';
    } else {
        tipo = 'SUCESSO';
        cor = 'iziToast iziToast-color-green flipInX';
        icone = 'iziToast-icon ico-check revealIn';
    }

    html = '<div class="iziToast-capsule" style="height: auto;">';
        html += '<div class="'+cor+'" style="z-index: 99999;">';
            html += '<button class="iziToast-close"></button>';
            html += '<div class="iziToast-body" style="padding-left: 33px;">';
                html += '<i class="'+icone+'"></i>';
                html += '<strong class="slideIn">'+tipo+'</strong>';
                html += '<p class="slideIn">'+mensagem+'</p>';
            html += '</div>';
        html += '</div>';
    html += '</div>';

    $('.iziToast-wrapper').html(html);
}
